Sie sind nicht angemeldet.

Anzeigen

**Wir werden in den kommenden Tagen einen Umzug auf einen neuen Server durchführen. Im Rahmen dieser Maßnahme wird das Forum ca. 1 Stunde nicht erreichbar sein.** nslu2-info.de ist ein privates Projekt von mir, welches jeden Monat aus eigener Tasche finanziert wird. Mit einer freiwilligen Spende wird der Erhalt und der weitere Ausbau dieses Forums unterstützt. Um mich beim Erhalt des Forums zu unterstützen, kannst Du entweder via Flattr oder Paypal spenden. Ich bedanke mich schon jetzt bei allen Unterstützern.

Lieber Besucher, herzlich willkommen bei: Die NSLU2 Community****wenns ums speichern und streamen geht****. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

eriche

Anfänger

  • »eriche« ist der Autor dieses Themas

Beiträge: 11

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

1

03.02.2009, 15:21

ältere IPKG Packages installieren

Hello,

ich habe in meiner "IPKG list" nur die aktuellsten Releases - ist ja in der Regel auch gut so ;)

Jetzt möchte mein Torrent Tracker jedoch, dass ich "rTorrent 0.8.2/0.12.2" verwende!

Wie schaffe ich es nun diese "alte" Version mittels IPKG zu installieren?

Wäre euch über eine Antwort echt dankbar!

GreeT`s erich

Anzeigen

gznw

Fortgeschrittener

Beiträge: 158

Firmwareversion / your current Firmware: Unslung 3.18

  • Nachricht senden

2

21.03.2009, 13:38

AW: ältere IPKG Packages installieren

Hi!
Also wenn man Pakete installiert, dann wird da ja auch immer die Quelle mit ausgegeben, z.B.:

Downloading http://ipkg.nslu2-linux.org/feeds/optwar….18-1_armeb.ipk

So, dann habe ich mal bei google eingeben:

rtorrent_0.8.2 site:http://ipkg.nslu2-linux.org

und schon bekommt man die gewünschte Version.. Sie ist auch online ;)

Jetzt mußt Du die Datei auf Deine NSLU kopieren und per Hand installieren.. Ich muß noch einmal genau nachgucken wie die manuelle Installation funktioniert. Soweit ich weiß auch mit

ipkg install xxxxx +OPTIONEN

Da kann man dann auch die Quelle angeben, also in diesem Fall eben der Ort wo Du die Datei abgelegt hast.. Ob Du vorher die Rechte ändern mußt weiß ich nicht mehr, aber ich glaube nicht, daß das nötig ist.. Also ich guck noch einmal nach wie das geht mit ipkg, aber die Datei hast Du jetzt ja auf jeden Fall schon :cool:

// EDIT: so, versuche sonst mal einfach:
-Datei in "ADMIN2" (wenn an DISK2 angeschlossen) kopieren..
-ipkg install /rtorrent_0.8.2 (weiß aber nicht, ob es klappt.. sonst mal ipkg help. Es geht auf jeden Fall manuell!)
-es gibt auch noch die Option -force-downgrade

Anzeigen

eriche

Anfänger

  • »eriche« ist der Autor dieses Themas

Beiträge: 11

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

3

22.03.2009, 09:58

AW: ältere IPKG Packages installieren

Hello,

danke für deinen Tipp!
Ja wenn man den Google clever einsetzt findet der fast alles :D
Gut zu wissen, dass es quasi ein Archiv mit älteren Versionen gibt!

Ich hatte schon die 0.8.2er Version von jemaden hier im Board bekommen.
läuft einwandfrei.

Man kann entweder beim "IPKG" den Pfad zur Datei angeben oder man macht wie du geschrieben hast ein "force_downgrade" - beides funkt super ;)

GreeT`s erich

Social Bookmarks